<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="if(this.contentWindow.location.href != 'about:blank' && window.imageUploadSubmitted) {window.imageUploadSubmitted(this)}"> </iframe>
<form onsubmit="window.imageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('product-add-image', ['brandUrl' => $brand->url]); ?>">
    <input type="file" name="image" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>
<script>
    window.imageUploadStarted = function() {
        window.postImageUploadFinished = window.loadingIndicator($('body')); 
    };
    window.imageUploadEnded = function() {
        if (window.postImageUploadFinished) {
            window.postImageUploadFinished();
        }
    };

    window.imageSubmittedCallback = false;
    window.imageUploadSubmitted = function(el) {
        window.imageUploadEnded();

        if(window.imageSubmittedCallback === false) return;
        var iframeContents = $(el)[0].contentDocument.body.innerHTML;

        var re = /\{[\-a-zA-Z"'0-9:\w|.,/\\]+\}/.exec(iframeContents);
        if(re == null) {
            labAlert("An error has occured while uploading the photo.");
            window.imageSubmittedCallback(false);
            window.imageSubmittedCallback = false;
            return;
        }
        var response = re[0];
        response = JSON.parse(response);
        console.log("Successfully uploaded image:", response);
        window.imageSubmittedCallback(response.imageLink);
        window.imageSubmittedCallback = false;
    };
</script>

<div class="col-md-12 col-sm-12">

    <?php if(!empty($this->categories)){ ?>
        <div class="addProductCategory scroll-root">
            <div class="addCategoryTop">
            
                <div class="mask position-relative scroll-window">
                <ul class="scroll-target">
                <?php
                    $public = "";
                    $first = true;
                    
                    foreach($this->categories as $category) {
                        $actClass = '';
                        $isActive = 0;
                        if($this->selCategory) {
                            if($this->selCategory == $category->id) {
                                $actClass = 'active scroll-focus';
                                $public = $category->public;
                                $isActive = 1;
                            }
                        } elseif($first) {
                            $actClass = 'active scroll-focus';
                            $first = false;
                        }
                        $cateUrl = '#';//($category->id > 0) ? $this->url("brand-products", ["brandUrl" => $this->brand->url,"categoryId"=>$category->id]) : $this->url("brand-products", ["brandUrl" => $this->brand->url]);
                ?>
                        <li class="<?php echo $actClass; ?>">
                            <?php if($isActive === 1){ ?>
                                <?php if($this->userCanEditBrand){ ?>
                                    <div class="category_actions dropdown">
                                        <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                            <i aria-hidden="true" class="fa fa-pencil dropdown-trigger"></i>
                                        </a>
                                        <ul class="aboutPopup dropdown-content dropdownMenu">
                                            <div class="aboutPop">
                                                <ul>
                                                    <li>
                                                        <a class="dropdown-close" href="javascript:void(0);" data-category="<?= $category->id ?>" onclick="editCategory(this)">
                                                            <img src="/images/pen.png"><span>Rename</span>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <?php 
                                                            $toggleText = 'Show';
                                                            $toggleData = 1;
                                                            if(!empty($public) && $public)
                                                            {
                                                                $toggleText = 'Hide';
                                                                $toggleData = 0;
                                                            }
                                                        ?>
                                                        <a class="dropdown-close" href="javascript:void(0);" onclick="showHideCategory(this)" data-category="<?= $category->id ?>" data-toggle="<?= $toggleData ?>">
                                                            <img src="/images/eye.png"> <span><?= $toggleText ?></span>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a class="dropdown-close" data-category="<?= $category->id ?>" href="javascript:void(0);" onclick="removeCategory(this);">
                                                            <img src="/images/trash.png"> <span>Delete</span>
                                                        </a>
                                                    </li>
                                                </ul>
                                            </div>
                                        </ul>
                                    </div>
                                <?php } ?>
                            <?php } ?>
                            <a href="<?php echo $cateUrl; ?>" data-target-segment="products" data-segment-param="<?= $category->id ?>">
                                <span><?php echo $category->categoryName; ?></span>
                            </a>
                        </li>
                <?php } ?>
                </ul>
                </div>
                <?php if($this->userCanEditBrand){ ?>
                <button id="category2" onclick="showidProduct('addCategory2')" class="addCategoryButton"></button>
                <?php } ?>
                <div class="clear"></div>
            </div>
            <div class="scroll-dots"></div>
        </div>
    <?php } ?>

    <?php if($this->userCanEditBrand){ ?>
    <div class="addCategoryInfo" id="addCategory2" style="display:none;">
            <h3>Add Category</h3>
            <a href="javascript:void(0);" id="prikazi"><i class="onAddCategory fa fa-remove lightBlue" aria-hidden="true"></i></a>
            <div class="clear"></div>
            <div class="categoryInfoBlock">
                <p>Category Name</p>

                <form action="" method="post" id="frm_add_category">
                    <div class="eachCategory">
                        <input type="text" class="categoryInput"  id="category-name" placeholder="">
                        <a href="javascript:void(0);" class="help">?</a>
                    </div>

                    <div class="collectionInfoBlock" id="collection">
                        <p>Collection Name</p>
                        <div id="collections_collection">
                            <div class="eachCategory collection_box" id="removeCollection1">
                                <input type="text" class="categoryInput" name="collectionName[]" placeholder="Collection Name e.g. Laptops">
                                <a href="javascript:void(0);" class="help">?</a>
                            </div>
                        </div>

                        <div class="clear"></div>
                    </div>

                    <button id="showAllRemoves" type="button" onclick="javascript: addMoreCollection('addCategory2');" class="addcollectionBtn">
                        <img src="/images/addplus.png"> Add a collection
                    </button>
                    <input type="hidden" id="hdnCollectionMoreCnt" value="1">
                    <button type="button" onclick="javascript: addCategory();" class="postblueBtnCategory">Add</button>
                    <button type="button" id="prikazi2" class="hideBtnCategory">Close</button>
                </form>
                <div class="clear"></div>
            </div>
        </div>
        
    
        <div class="addCategoryInfo" id="editCategory2" style="display:none;">
            <h3>Rename Category</h3>
            <a href="javascript:void(0);" onclick="hideCategoryBox();"><i class="onAddCategory fa fa-remove lightBlue" aria-hidden="true"></i></a>
            <div class="clear"></div>
            <div class="categoryInfoBlock">
                <p>Category Name</p>

                <form action="" method="post" id="frm_add_category">
                    <div class="eachCategory">
                        <input type="text" class="categoryInput edit-category-text"  id="category-name" placeholder="">
                        <a href="javascript:void(0);" class="help">?</a>
                    </div>
                    <input type="hidden" name="hdnCategoryId" value="" id="hdnCategoryId">
                    <button type="button" onclick="javascript: editCategoryData();" class="postblueBtnCategory">Edit</button>
                    <button type="button" onclick="hideCategoryBox();" class="hideBtnCategory">Close</button>
                </form>
                <div class="clear"></div>
            </div>
        </div>
    
    <?php } ?>

    <?php if($this->userCanEditBrand){ ?>
    <div class="addCategoryInfo" id="infoblock" style="display:none;">
        <h3></h3>
        <a href="javascript:void(0);" id="prikaziCovere"><i class="onAddCategory fa fa-remove lightBlue" aria-hidden="true"></i></a>
        <div class="clear"></div>
        <div class="categoryInfoBlock">
            <form action="" name="frmCollection" id="frmCollection" method="post">
                <input type="hidden" value="<?php echo $this->selCategory; ?>" name="hdnSelCategoryId" id="hdnSelCategoryId" />
                <div class="collectionInfoBlock" id="collection">
                    <p>Collection Name</p>
                    <div id="collections_collection">
                        <div class="eachCategory collection_box" id="removeCollection1">
                            <input type="text" name="collectionName[]" class="categoryInput" placeholder="Collection Name e.g. Laptops">
                            <a href="javascript:void(0);" class="help">?</a>
                        </div>
                    </div>

                    <div class="clear"></div>
                </div>
                <div class="button_footer_container">
                    <!--<button id="showAllRemoves1" type="button" onclick="showid('collection')" class="addcollectionBtn">-->
                    <button id="showAllRemoves1" type="button" onclick="javascript: addMoreCollection('infoblock');" class="addcollectionBtn">
                        <img src="/images/addplus.png"> Add a collection
                    </button>
                    <button type="button" onclick="javascript: addCollection();" class="postblueBtnCategory">Add</button>
                    <button id="prikaziCovere2" type="button" class="hideBtnCategory">Close</button>
                    <input type="hidden" id="hdnCollectionMoreCnt" value="1">
                </div>
                <div class="clear"></div>
            </form>
        </div>
    </div>


    <div class="addCategoryInfo" id="editCollection" style="display:none;">
        <h3></h3>
        <a href="javascript:void(0);" onclick="hideCollectionForm();"><i class="onAddCategory fa fa-remove lightBlue" aria-hidden="true"></i></a>
        <div class="clear"></div>
        <div class="categoryInfoBlock">
            <form action="" name="frmCollection" id="frmCollection" method="post">
                <input type="hidden" value="<?php echo $this->selCategory; ?>" name="hdnSelCategoryId" id="hdnSelCategoryId" />
                <div class="collectionInfoBlock" id="collection">
                    <p>Collection Name</p>
                    <div class="eachCategory">
                        <input type="text" name="collectionName" class="categoryInput collection-input" placeholder="Collection Name e.g. Laptops">
                        <input type="hidden" name="hdnCollectionID" class="collection-input-id" value="">
                        <a href="javascript:void(0);" class="help">?</a>
                    </div>
                    <div class="clear"></div>
                </div>
                <div class="button_footer_container">
                    <button type="button" class="postblueBtnCategory" onclick="javascript: editCollection();">Edit</button>
                    <button onclick="hideCollectionForm();" type="button" class="hideBtnCategory">Close</button>
                </div>
                <div class="clear"></div>
            </form>
        </div>
    </div>

    <?php } ?>

    <?php if((isset($this->selCategory) && $this->selCategory > 0) && $this->userCanEditBrand/* && empty($this->collections)*/){ ?>
        <div class="addCollectionCover" id="collectionCover">
            <a href="javascript:void(0);" id="showCover"></a>
        </div>
    <?php } ?>

    <?php if(empty($this->categories) && $this->userCanEditBrand){ ?>
        <div class="addProductCategoryCover" id="categoryCover">
            <a onclick="showidProduct('addCategory2')" id="category1" href="javascript:void(0);"></a>
        </div>
    <?php } ?>

    <?php if(isset($this->selCategory) && $this->selCategory == 0){ ?>
        <?php /*echo "<pre>"; print_r($this->allProducts); die; */?>
        
        <?php 
            if(isset($this->allProducts) && !empty($this->allProducts))
            {
                foreach($this->allProducts as $allCat)
                {
                    /*if(isset($allCat->products) && !empty($allCat->products))
                    {*/
                    $cnt = 0;
        ?>
                    <?php if($allCat->id == 0 && $this->userCanEditBrand){ ?>
                        <?php 
                            $collectionId = 0;
                        ?>
                        <div class="upload-product-photo collection-product-<?php echo $collectionId; ?>" id="add_collection_product_<?php echo $collectionId; ?>" style="display:none;">
                            <h1 class="new-product-title new-products-title">
                                <?php echo $allCat->categoryName; ?>
                                
                                <a onclick="javascript: showhideAddProductFrom(<?php echo $collectionId; ?>);"  href="javascript:void(0);" class="close-box">
                                    <i aria-hidden="true" class="fa fa-remove lightBlue"></i>
                                </a>
                            </h1>

                            <div class="product-photo-upload first-product-image" onclick="uploadImage('product');"></div>
                            <div class="upload-image-list-product editable small-image-section" style="display: none;" data-type="product"></div>

                            <div class="product-upload-details">
                                <input type="text" class="product-title-upload product-input-title" placeholder="Product Title">
                                <textarea class="product-description-upload product-input-text" placeholder="Description"></textarea>
                                <input type="hidden" name="hdnCategoryId" value="<?php echo $allCat->id; ?>" class="product-category-text" />
                                <input type="hidden" name="hdnCollectionId" value="<?php echo $collectionId; ?>" class="product-collection-text" />
                            </div>
                            <div class="post-uploaded-product">
                                <button type="button" data-type="add" data-collection="<?php echo $collectionId; ?>" onclick="javascript: manageProduct(this);" class="postblueBtnCategory">Add</button>
                                <button onclick="javascript: showhideAddProductFrom(<?php echo $collectionId; ?>);" class="hideBtnCategory">Close</button>
                                <div class="clear"></div>
                            </div>
                        </div>

                        <div class="upload-product-photo collection-product-<?php echo $collectionId; ?>" id="edit_collection_product_<?php echo $collectionId; ?>" style="display:none;">
                            <h1 class="new-product-title new-products-title">
                                <?php echo $allCat->categoryName; ?>
                                <a onclick="javascript: showhideEditProductFrom(<?php echo $collectionId; ?>);"  href="javascript:void(0);" class="close-box">
                                    <i aria-hidden="true" class="fa fa-remove lightBlue"></i>
                                </a>
                            </h1>
                            <!--<div class="product-photo-upload"><a href="javascript:void(0);"></a></div>-->

                            <div class="product-photo-upload first-product-image" onclick="uploadImage('product');"></div>
                            <div class="upload-image-list-product editable small-image-section" style="display: none;" data-type="product"></div>

                            <div class="product-upload-details">
                                <input type="text" class="product-title-upload product-input-title" placeholder="Product Title">
                                <textarea class="product-description-upload product-input-text" placeholder="Description"></textarea>
                                <input type="hidden" name="hdnCategoryId" value="<?php echo $allCat->id; ?>" class="product-category-text" />
                                <input type="hidden" name="hdnCollectionId" value="<?php echo $collectionId; ?>" class="product-collection-text" />
                                <input type="hidden" name="hdnProductId" value="" class="product-edit-id" />
                            </div>
                            <div class="post-uploaded-product">
                                <button type="button" data-type="edit" data-collection="<?php echo $collectionId; ?>" onclick="javascript: manageProduct(this);" class="postblueBtnCategory">Edit</button>
                                <button onclick="javascript: showhideEditProductFrom(<?php echo $collectionId; ?>);" class="hideBtnCategory">Close</button>
                                <div class="clear"></div>
                            </div>
                        </div>

                    <?php } ?>
                    
                    <div class="products" id="productsCategoryContainer<?php echo $allCat->id; ?>">
                            <?php if($allCat->id > 0){ ?>
                                <ul class="all-product-category-header">
                                    <li class="item-meta category-head">
                                        <a href="javascript:void(0)" onclick="feed.navigateToSegment('products', <?= $allCat->id; ?>); return false;">
                                            <?php echo $allCat->categoryName; ?>
                                        </a>
                                    </li>
                                    
                                    <?php 
                                        if(isset($allCat->collections) && !empty($allCat->collections))
                                        {
                                            foreach($allCat->collections as $collection)
                                            {
                                    ?>
                                                <li class="item-meta collection-head">
                                                    <a href="javascript:void(0)" onclick="feed.navigateToSegment('products', <?= $allCat->id; ?>, <?= $collection->id; ?>); return false;"><?php echo trim($collection->collectionName); ?></a>
                                                </li>
                                    <?php
                                            }
                                        } 
                                    ?>
                                    
                                </ul>
                            <?php } ?>
                            
                            <?php if($allCat->id == 0 && $this->userCanEditBrand){ ?>
                                <div class="product-item add-new-product">
                                    <a href="javascript:void(0);" onclick="javascript: showhideAddProductFrom(<?php echo $allCat->id; ?>);"></a>
                                </div>
                            <?php $cnt++; } ?>
                            
                            <?php foreach($allCat->products as $product){ ?>
                                
                                <div class="product-item" id="feed-product-<?php echo $product->id; ?>">
                                    
                                    <?php if($this->userCanEditBrand){ ?>
                                        <div class="product_actions dropdown">
                                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                                <i aria-hidden="true" class="fa fa-pencil"></i>
                                            </a>
                                            <ul class="dropdown-menu aboutPopup">
                                                <div class="aboutPop">
                                                    <ul>
                                                        <li>
                                                            <?php
                                                                $editClick = 'editProduct($(this));';
                                                                if($allCat->id > 0){
                                                                    $editClick = "feed.navigateToSegment('products', ".$allCat->id.", 'edit', ".$product->id."); return false;";
                                                                }
                                                            ?>
                                                            <a id="edit_product_<?php echo $product->id; ?>" href="javascript:void(0);" data-collectid="<?php echo $product->collectionId; ?>" data-id="<?php echo $product->id; ?>" onclick="javascript: <?php echo $editClick; ?>">
                                                                <img src="/images/pen.png"><span>Edit</span>
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <a href="<?php echo $this->url("delete-product", ["productId" => $product->id]); ?>" onclick="javascript: deleteProduct($(this)); return false;" data-productid="<?php echo $product->id; ?>">
                                                                <img src="/images/trash.png"> <span>Remove</span>
                                                            </a>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </ul>
                                        </div>
                                    <?php } ?>
                                    
                                    <div class="product-image">
                                        <?php
                                            $product->postTitle;
                                            if(!empty($product->postImageData)) {
                                                $images  = json_decode($product->postImageData);
                                                if(!empty($images)) {
                                                    echo '<img src="' . $images[0]->url . '"/>';
                                                }
                                            }
                                        ?>
                                    </div>
                                    <div class="short-desc">
                                        <h4><?php echo $product->postTitle; ?></h4>
                                        <h6><?php echo $product->postContent; ?></h6>
                                    </div>
                                </div>
                                
                            <?php $cnt++; } ?>
                            
                            <?php 
                                for($c = $cnt; $c < 3; $c++)
                                {
                            ?>
                                    <div class="product-item">
                                        <div class="product-image">
                                        </div>
                                        <div class="short-desc">
                                            <img src="/images/product-title.png">
                                            <img src="/images/product-desc.png">
                                        </div>
                                    </div>
                            <?php 
                                }
                            ?>
                            
                            <div class="clear"></div>
                        </div>
        <?php
                    /*}*/
                }
            }
        ?>
        
    <?php } ?>


    <!-- products list part -->
    <?php if(!empty($this->collections)){ ?>
        <?php foreach($this->collections as $singleCollection){ ?>

            <?php if($this->userCanEditBrand){ ?>
                <div class="upload-product-photo collection-product-<?php echo $singleCollection->id; ?>" id="add_collection_product_<?php echo $singleCollection->id; ?>" style="display:none;">
                    <h1 class="new-product-title new-products-title">
                        <?php echo $singleCollection->collectionName; ?>
                        
                        <a onclick="javascript: showhideAddProductFrom(<?php echo $singleCollection->id; ?>);"  href="javascript:void(0);" class="close-box">
                            <i aria-hidden="true" class="fa fa-remove lightBlue"></i>
                        </a>
                    </h1>

                    <div class="product-photo-upload first-product-image" onclick="uploadImage('product');"></div>
                    <div class="upload-image-list-product editable small-image-section" style="display: none;" data-type="product"></div>

                    <div class="product-upload-details">
                        <input type="text" class="product-title-upload product-input-title" placeholder="Product Title">
                        <textarea class="product-description-upload product-input-text" placeholder="Description"></textarea>
                        <input type="hidden" name="hdnCategoryId" value="<?php echo $singleCollection->categoryId; ?>" class="product-category-text" />
                        <input type="hidden" name="hdnCollectionId" value="<?php echo $singleCollection->id; ?>" class="product-collection-text" />
                    </div>
                    <div class="post-uploaded-product">
                        <button type="button" data-type="add" data-collection="<?php echo $singleCollection->id; ?>" onclick="javascript: manageProduct(this);" class="postblueBtnCategory">Add</button>
                        <button onclick="javascript: showhideAddProductFrom(<?php echo $singleCollection->id; ?>);" class="hideBtnCategory">Close</button>
                        <div class="clear"></div>
                    </div>
                </div>

                <div class="upload-product-photo collection-product-<?php echo $singleCollection->id; ?>" id="edit_collection_product_<?php echo $singleCollection->id; ?>" style="display:none;">
                    <h1 class="new-product-title new-products-title">
                        <?php echo $singleCollection->collectionName; ?>
                        <a onclick="javascript: showhideEditProductFrom(<?php echo $singleCollection->id; ?>);"  href="javascript:void(0);" class="close-box">
                            <i aria-hidden="true" class="fa fa-remove lightBlue"></i>
                        </a>
                    </h1>
                    <!--<div class="product-photo-upload"><a href="javascript:void(0);"></a></div>-->

                    <div class="product-photo-upload first-product-image" onclick="uploadImage('product');"></div>
                    <div class="upload-image-list-product editable small-image-section" style="display: none;" data-type="product"></div>

                    <div class="product-upload-details">
                        <input type="text" class="product-title-upload product-input-title" placeholder="Product Title">
                        <textarea class="product-description-upload product-input-text" placeholder="Description"></textarea>
                        <input type="hidden" name="hdnCategoryId" value="<?php echo $singleCollection->categoryId; ?>" class="product-category-text" />
                        <input type="hidden" name="hdnCollectionId" value="<?php echo $singleCollection->id; ?>" class="product-collection-text" />
                        <input type="hidden" name="hdnProductId" value="" class="product-edit-id" />
                    </div>
                    <div class="post-uploaded-product">
                        <button type="button" data-type="edit" data-collection="<?php echo $singleCollection->id; ?>" onclick="javascript: manageProduct(this);" class="postblueBtnCategory">Edit</button>
                        <button onclick="javascript: showhideEditProductFrom(<?php echo $singleCollection->id; ?>);" class="hideBtnCategory">Close</button>
                        <div class="clear"></div>
                    </div>
                </div>

            <?php } ?>

            <div class="products" id="productsCollectionContainer<?php echo $singleCollection->id; ?>">

                <h1 class="new-product-title new-products-title">
                    <?php echo $singleCollection->collectionName; ?>

                    <?php if($this->userCanEditBrand){ ?>
                    <div class="collection_actions dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <i aria-hidden="true" class="fa fa-pencil"></i>
                        </a>
                        <ul class="dropdown-menu aboutPopup">
                            <div class="aboutPop">
                                <ul>
                                    <li>
                                        <a href="javascript:void(0);" data-name="<?php echo $singleCollection->collectionName; ?>" data-collection="<?php echo $singleCollection->id; ?>" class="edit_collections" onclick="javascript: editCollectionFrom(this);">
                                            <img src="/images/pen.png"><span>Edit</span>
                                        </a>
                                    </li>
                                    <?php
                                        $publicText = 'Show';
                                        $publicCollection = 1;
                                        $publicIcon = 'fa-eye';
                                        if(!empty($singleCollection->public) && $singleCollection->public)
                                        {
                                            $publicText = 'Hide';
                                            $publicCollection = 0;
                                            $publicIcon = 'fa-eye-slash';
                                        }
                                    ?>
                                    <li>
                                        <a href="javascript:void(0);" data-collection="<?php echo $singleCollection->id; ?>" data-public="<?php echo $publicCollection; ?>" onclick="javascript: makeCollectionPublic(this);">
                                            <img src="/images/eye.png"> <span><?php echo $publicText; ?></span>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="javascript:void(0);" onclick="javascript: removeCollection(this);" id="removeCollection" data-collection="<?php echo $singleCollection->id; ?>">
                                            <img src="/images/trash.png"> <span>Remove</span>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </ul>
                    </div>
                    <?php } ?>
                </h1>

                <?php $cnt = 0;  if($this->userCanEditBrand){ ?>
                    <div class="product-item add-new-product">
                        <a href="javascript:void(0);" onclick="javascript: showhideAddProductFrom(<?php echo $singleCollection->id; ?>);"></a>
                    </div>
                <?php $cnt++; } ?>

                <?php if(isset($this->productList['collections_'.$singleCollection->id]) && !empty($this->productList['collections_'.$singleCollection->id])){ ?>
                    <?php foreach($this->productList['collections_'.$singleCollection->id] as $productData){ ?>
                        <div class="product-item" id="feed-product-<?php echo $productData->id; ?>">

                            <?php if($this->userCanEditBrand){ ?>
                                <div class="product_actions dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                        <i aria-hidden="true" class="fa fa-pencil"></i>
                                    </a>
                                    <ul class="dropdown-menu aboutPopup">
                                        <div class="aboutPop">
                                            <ul>
                                                <li>
                                                    <a id="edit_product_<?php echo $productData->id; ?>" href="javascript:void(0);" data-collectid="<?php echo $productData->collectionId; ?>" data-id="<?php echo $productData->id; ?>" onclick="javascript: editProduct($(this));">
                                                        <img src="/images/pen.png"><span>Edit</span>
                                                    </a>
                                                </li>
                                                <li>
                                                    <a href="<?php echo $this->url("delete-product", ["productId" => $productData->id]); ?>" onclick="javascript: deleteProduct($(this)); return false;" data-productid="<?php echo $productData->id; ?>">
                                                        <img src="/images/trash.png"> <span>Remove</span>
                                                    </a>
                                                </li>
                                            </ul>
                                        </div>
                                    </ul>
                                </div>
                            <?php } ?>

                            <div class="product-image">
                                <?php
                                    $productData->postTitle;
                                    if(!empty($productData->postImageData)) {
                                        $images  = json_decode($productData->postImageData);
                                        if(!empty($images)) {
                                            echo '<img src="' . $images[0]->url . '"/>';
                                        }
                                    }
                                ?>
                            </div>
                            <div class="short-desc">
                                <h4><?php echo $productData->postTitle; ?></h4>
                                <h6><?php echo $productData->productContent; ?></h6>
                            </div>
                        </div>
                    <?php $cnt++; } ?>
                    
                    <?php for($c = $cnt; $c < 3; $c++){ ?>
                        <div class="product-item">
                            <div class="product-image">
                            </div>
                            <div class="short-desc">
                                <img src="/images/product-title.png">
                                <img src="/images/product-desc.png">
                            </div>
                        </div>
                    <?php } ?>
                    
                <?php }else{ ?>

                <?php for($c = $cnt; $c < 3; $c++){ ?>
                    <div class="product-item">
                        <div class="product-image">
                        </div>
                        <div class="short-desc">
                            <img src="/images/product-title.png">
                            <img src="/images/product-desc.png">
                        </div>
                    </div>
                <?php } ?>
                    
                <?php } ?>
                <div class="clear"></div>

            </div>
        <?php } ?>
    <?php } ?>
    <!-- end of list with products -->

</div>

<script type="text/javascript">
var UploadedImagesListSelProduct = '.upload-image-list-product';

    window.onGloabalJS.push(function() {
        window.uploadImageSetStorageProduct = window.persistentVariableProduct("uploadImageSetProduct", new window.ImageSet([], UploadedImagesListSelProduct));
        if(window.uploadImageSetStorageProduct.get().type !== 'ImageSet') {
            window.uploadImageSetStorageProduct.set(new window.ImageSet([], UploadedImagesListSelProduct));
        }
        console.log("uploadImageSetProduct = ", window.uploadImageSetStorageProduct, window.uploadImageSetStorageProduct.get());
    });

    function removeImageClicked(el, type) {
        var $container = $(el).closest('.img-container');
        var $img = $('img', $container);
        var confirm = labConfirm("Are you sure you want to delete this image?", "Confirm delete",
        function(response) {
            if(response) {
                removeImage($img.attr('src'), type);
                $('.first-product-image').show();
                $('.upload-image-list-product').hide();
            }
        }, "Delete", "Cancel");
    }

    function removeImage(img, type) {
        switch(type)
        {
            case 'product' :
                    var imageSet = window.uploadImageSetStorageProduct.get();
                    imageSet.removeImages([img]);
                    window.uploadImageSetStorageProduct.set(imageSet);
                break;
        }
    }

    function uploadImageToEditorProduct(img) {
        console.log(img);
        console.log('Upload Product image Product');
        var imageSetProduct = uploadImageSetStorageProduct.get();
        imageSetProduct.addImages([img]);
        window.uploadImageSetStorageProduct.set(imageSetProduct);
    }

    function uploadImage(type) {
        var handelClass = '.upload-image-list-'+type;
        window.imageSubmittedCallback = uploadImageToEditorProduct;

        $("#editorImageSubmitter").click();
    }

function addCategory(){
    var formData = $('#frm_add_category').serializeArray();

   var categoryNameField = $('#category-name');
   /*var collectionName = $('#collection-name').val().trim();*/
   var categoryName = categoryNameField.val().trim();
   if((categoryNameField.length && categoryName.length < 1)) {
        labAlert("Please fill in the category name.");
        return;
    }

    ajaxSubmit('<?= $this->url('products-category', ['brandUrl' => $this->brand->url]) ?>', {
    'categoryName': categoryName,
    /*'collectionName': collectionName,*/
    'postData' : formData,
    'action': 'add',
    }, function(data) {
        if(!data || !data.status || data.status != 'ok') {
            console.log("error:", data);
            var error = "Please try again later or contact the support team.";
            if(data && data.status) error = data.status;
            labAlert("An error has occured while submitting the product category. " + error);
        }else{
            console.log("category submitted", data);
            labAlert("Product category submitted successfully.");
            window.location.reload();
        }
    });
}

function addCollection()
{
    var formData = $('#frmCollection').serializeArray();

    var collections = [];
    $.each(formData, function(){
        if(this.name != 'hdnSelCategoryId')
        {
            if(this.value != "")
            {
                collections.push(this.value);
            }
        }
    });

    var categoryId = $('#frmCollection').find('#hdnSelCategoryId').val().trim();

    if((categoryId <= 0)) {
        labAlert("You can not add collections.");
        return;
    }
    window.loadingIndicator($('body'));
    ajaxSubmit('<?= $this->url('products-collections', ['brandUrl' => $this->brand->url]) ?>', {
    'collections': collections,
    'categoryId': categoryId,
    'action': 'add',
    }, function(data) {
        if(!data || !data.status || data.status != 'ok') {
            console.log("error:", data);
            var error = "Please try again later or contact the support team.";
            if(data && data.status) error = data.status;
            labAlert("An error has occured while submitting the product collection. " + error);
        }else{
            console.log("collection submitted", data);
            labAlert("Product collection submitted successfully.");
            window.location.reload();
        }
    });
}

function editCollection(){
   var collectionNameField = $('#editCollection').find('.collection-input');
   var collectionId = $('#editCollection').find('.collection-input-id').val();

    if((collectionNameField.length && collectionNameField.val().trim().length < 1)) {
        labAlert("Please fill in the collection name.");
        return;
    }

    window.loadingIndicator($('body'));
    ajaxSubmit('<?= $this->url('products-collections', ['brandUrl' => $this->brand->url]) ?>', {
    'collectionName': collectionNameField.val().trim(),
    'collectionId': collectionId,
    'action': 'edit',
    }, function(data) {
        if(!data || !data.status || data.status != 'ok') {
            console.log("error:", data);
            var error = "Please try again later or contact the support team.";
            if(data && data.status) error = data.status;
            labAlert("An error has occured while editing the product collection. " + error);
        }else{
            console.log("collection submitted", data);
            labAlert("Product collection edited successfully.");
            feed.navigateToSegment('products', '<?php echo $this->selCategory; ?>');
            $('.loading-indicator-background').remove();
        }
    });
}

function showhideAddProductFrom(id)
{
    var form = $('#add_collection_product_'+id);
    var collection = $('#productsCollectionContainer'+id);

    if($(form).is(':hidden'))
    {
        $('.upload-product-photo').hide();
        var imageSet = window.uploadImageSetStorageProduct.get();
        var pImages = imageSet.images;
        if(pImages.length > 0)
        {
            for(var i = 0; i < pImages.length; i++)
            {
                removeImage(pImages[0].url, 'product');
            }
            $('.first-product-image').show();
            $('.upload-image-list-product').hide();
        }
        $(form).slideDown('slow');
        $('#collectionCover').hide();
        $('html,body').animate({
            scrollTop: $(form).offset().top},
        'slow');
        
/*        window.autosizeTextarea($(form).find('.product-input-text'), 90, 250);*/
        
        $('#collectionCover').show();
        $('#collectionCover').hide('slow');
    }
    else
    {
        $(form).slideUp('slow');
        $('#collectionCover').show();
        $('html,body').animate({
            scrollTop: $(collection).offset().top - 490},
        'slow');
        
        $('#collectionCover').hide();
        $('#collectionCover').show('slow');
    }
}

function showhideEditProductFrom(id)
{
    var form = $('#edit_collection_product_'+id);
    var collection = $('#productsCollectionContainer'+id);
    var category = '<?php echo $this->selCategory; ?>';

    if($(form).is(':hidden'))
    {
        $('.upload-product-photo').hide();
        $(form).slideDown('slow');
        $('#collectionCover').hide();
        $('html,body').animate({
            scrollTop: $(form).offset().top},
        'slow');
    }
    else
    {
        $(form).slideUp('slow');
        $('#collectionCover').show();
        var imageSet = window.uploadImageSetStorageProduct.get();
        imageSet.images = [];
        imageSet.imagesChanged();
        window.uploadImageSetStorageProduct.set(imageSet);
        $('.upload-image-list-product').hide();
        $('.product-photo-upload').show();
        feed.navigateToSegment('products', category);
        $('html,body').animate({
            scrollTop: $(collection).offset().top - 490},
        'slow');
    }
}

function editCollectionFrom(obj)
{
    var collectionName = $(obj).data('name');
    var collectionID = $(obj).data('collection');

    $('#editCollection .collection-input').val(collectionName);
    $('#editCollection .collection-input-id').val(collectionID);

    $('#collectionCover').hide();
    $('#editCollection').show();
     $('html,body').animate({
            scrollTop: $('#editCollection').offset().top},
        'slow');
}
function hideCollectionForm()
{
    $('#editCollection').hide();
    $('#collectionCover').show();
}

function makeCollectionPublic(obj)
{
    var public = $(obj).data('public');
    var collectionId = $(obj).data('collection');

    if(collectionId  > 0)
       {
           window.loadingIndicator($('body'));
           ajaxSubmit('<?= $this->url('products-collections', ['brandUrl' => $this->brand->url]) ?>', {
            'public': public,
            'collectionId': collectionId,
            'action': 'public',
            }, function(data) {
            if(!data || !data.status || data.status != 'ok') {
                console.log("error:", data);
                var error = "Please try again later or contact the support team.";
                if(data && data.status) error = data.status;
                labAlert("An error has occured. " + error);
            }else{
                var msg = (public) ? 'Collection is now public' : 'Collection is not public and not visible by others';
                labAlert(msg);
                feed.navigateToSegment('products', '<?php echo $this->selCategory; ?>');
                $('.loading-indicator-background').remove();
            }
        });
       }
       else
       {
           labAlert("Collection not found.");
           return;
       }
}

function removeCollection(obj)
{
    var collectionID = $(obj).data('collection');

       if(collectionID == "" && collectionID == 0)
       {
           labAlert("Collection not found.");
           return;
       }
       labConfirm("Do you really want to delete this collection?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $(this).blur();
                window.loadingIndicator($('body'));

                ajaxSubmit('<?= $this->url('products-collections', ['brandUrl' => $this->brand->url]) ?>', {
                'collectionID': collectionID,
                'action': 'remove',
                }, function(data) {
                    if(!data || !data.status || data.status != 'ok') {
                        console.log("error:", data);
                        var error = "Please try again later or contact the support team.";
                        if(data && data.status) error = data.status;
                        labAlert("An error has occured while submitting the product collection. " + error);
                    }else{
                        console.log("collection submitted", data);
                        $(obj).slideUp('slow', function() {$(this).remove();});

                        labAlert("Product collection deleted successfully.");                        
                        feed.navigateToSegment('products', '<?php echo $this->selCategory; ?>');
                        
                        $('.loading-indicator-background').remove();
                    }
                });
            return false;
            }
        }, "Delete", "Cancel");
}

function editProduct($el)
{
    var prodId = $el.data('id');
    var collectid = $el.data('collectid');
    if(prodId > 0)
    {
        window.loadingIndicator($('body'));
        ajaxSubmit('/$brandProductGet/' + prodId, {'productId' : prodId}, function(data) {
            if(!data || !data.status || data.status != 'ok') {
                console.log("error:", data);
                var error = "Please try again later or contact the support team.";
                if(data && data.status) error = data.status;
                labAlert("An error has occured while getting the product. " + error);
            }else{
                $('#edit_collection_product_'+collectid).find('.product-input-title').val(data.product.postTitle);
                $('#edit_collection_product_'+collectid).find('.product-input-text').val(data.product.productContent);
                $('#edit_collection_product_'+collectid).find('.product-edit-id').val(data.product.id);
                $('#edit_collection_product_'+collectid).find('.product-collection-text').val(data.product.collectionId);

                if(data.product.postImageData != "")
                {
                    var productImage = window.ClassyJSON.unjsonify(data.product.postImageData);
                    for(var i = 0; i < productImage.length; i++)
                    {
                        uploadImageToEditorProduct(productImage[i].url);
                    }
                }
                
                autoheight($('#edit_collection_product_'+collectid).find('.product-input-text'));
                
                showhideEditProductFrom(collectid);

                $('.loading-indicator-background').remove();
/*                    labAlert(msg);*/
            }
        });
    }
    else
    {
        labAlert("Product not found..");
    }
}

function deleteProduct($el)
{
    labConfirm("Do you really want to delete this product?\nThis cannot be undone!", "Are you sure?", function(response) {
            if(response) {
                $el.blur();
                window.loadingIndicator($('body'));

                ajaxSubmit($el.attr('href'), {}, function (data) {
                if (!data.status || data.status != "ok") {
                    console.log("openAjaxLink error: ", data);
                    alert(data.status ? data.status : "An error has occurred, please try again.");
                } else {
                    $('#feed-product-'+$el.data('productid')).hide('slow', function(){ $(this).remove();  });
                    $('.loading-indicator-background').remove();
                }
            });
            return false;
            }
        }, "Delete", "Cancel");
}

function addMoreCollection(container)
{
    var collectionHTML = '';
    var collectCnt = ($('#'+container+' #hdnCollectionMoreCnt').val() * 1) + 1;

    /*if(container == 'addCategory2')
    {
        $('#'+container+' #collection').show();
    }*/

    if($('#'+container+' #collections_collection .collection_box').length > 0)
    {
        var checkCollect = 0;
        $('#'+container+' #collections_collection .collection_box').each(function(){
            if(!$(this).is(':hidden'))
            {
                if($(this).children('.categoryInput').val().trim() == "")
                {
                    checkCollect++;
                }
            }
        })
        if(checkCollect > 0)
        {
            labAlert('Please fill previous collection fields before adding new collection field.');
            return false;
        }
    }
    collectionHTML = '<div class="eachCategory collection_box asCollection" style="display:none;" id="removeCollection'+collectCnt+'">'+
                        '<input type="text" name="collectionName[]" class="categoryInput" placeholder="Collection Name e.g. Laptops">'+
                        '<a href="javascript:void(0);" class="help">?</a> '+
                        '<button class="hideInputCategory" type="button" onclick="javascript: removeMoreCollection('+collectCnt+', \''+container+'\');"></button>'+
                    '</div>';
    $('#'+container+' #collections_collection').append(collectionHTML);
    $('#'+container+' #hdnCollectionMoreCnt').val(collectCnt);
    $('#'+container+' #collections_collection #removeCollection'+collectCnt).slideDown('slow');
}

function removeMoreCollection(cnt, container)
{
    if($('#'+container+' #collections_collection #removeCollection'+cnt).length > 0)
    {
        $('#'+container+' #collections_collection #removeCollection'+cnt).slideUp('slow', function(){
            $(this).remove();
        })
    }
}

function showidProduct(id){
    if ($('#'+id).is(":hidden")){
        $('#'+id).show();
        $('#collectionCover').hide();
    }else{
        $('#'+id).hide();
        $('#collectionCover').show();
    }
}

function refreshCategoryScroll(first) {
    $('.scroll-root').each(function() {
        var $root = $(this);
        var $dots = $('.scroll-dots', $root);
        var $target = $('.scroll-target', $root);
        var $window = $('.scroll-window', $root);
        var $focus = $('.scroll-focus', $root);

        var windowHeight = $window.innerHeight();
        var targetHeight = $target.innerHeight();
        var pageCount = Math.ceil(targetHeight / windowHeight);

        var focusTop = $focus.position().top;
        var currentPage = Math.round(focusTop/windowHeight);
        if(first) {
            var stored = $target.css('transition');
            $target.css('transition', 'all 0s ease 0s');
            $target.css('top', '-' + (currentPage * windowHeight) + 'px');
            $target.delay(100).queue(function (next) {
                $(this).css('transition', stored);
                next();
            });
        }else {
            $target.css('top', '-' + (currentPage * windowHeight) + 'px');
        }

        $dots.empty();
        if(pageCount > 1) {
            for (var j = 0; j < pageCount; j++) {
                var $dot = $('<span>').attr('data-idx', j).click(function () {
                    var i = $(this).data('idx');
                    $('span', $dots).removeClass('active');
                    $(this).addClass('active');
                    $target.css('top', '-' + (i * windowHeight) + 'px');
                });
                if(j == currentPage) {
                    $dot.addClass('active');
                }
                $dots.append($dot);
            }
        }
    });
}

function editFromHome()
{
    var category = '<?php echo $this->selCategory; ?>';
    var action = "<?php echo $this->action; ?>";
    var productId = '<?php echo $this->editProductId; ?>';
    if(action == 'edit')
    {
        $('#edit_product_'+productId).trigger('click');
    }
}

window.onFeedJS.push(function() {

    $('.category_actions.dropdown').each(function() {
        var $this = $(this);
        dropdownMenu(
            $('.dropdown-trigger', $this), // activating icon
            $('.dropdown-content', $this), // dropdown content
            {my:'right top+15px',at:'center bottom'}, // dropdown and icon alignment points
            true // move the content to dialog root
        );
    });

    if($('.upload-product-photo .upload-image-list-product div.img-row').length > 0)
    {
        $('.upload-product-photo .upload-image-list-product').show();
        $('.upload-product-photo .first-product-image').hide();
    }

    $(document).on('mouseover', '.small-image-section .img-container', function(e) {
        e.preventDefault();
        var $this = $(this);
        var $panel = $('.img-panel', $this);
        if($panel.closest('.small-image-section').hasClass('editable')) {
            var type = $panel.closest('.small-image-section').data('type');
            $panel.toggleClass('active');
            if($panel.hasClass('active')) {
                $('.img-panel', $this.parent().parent()).removeClass('active');
                $panel.addClass('active');
            }
            if ($panel.hasClass('new')) {
                $panel.removeClass('new');
                $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
            }
        }
    });

    $(document).on('click', '.small-image-section .img-container', function(e) {
        e.preventDefault();
        var $this = $(this);
        var $panel = $('.img-panel', $this);
        if($panel.closest('.small-image-section').hasClass('editable')) {
            var type = $panel.closest('.small-image-section').data('type');
            $panel.toggleClass('active');
            if($panel.hasClass('active')) {
                $('.img-panel', $this.parent().parent()).removeClass('active');
                $panel.addClass('active');
            }
            if ($panel.hasClass('new')) {
                $panel.removeClass('new');
                $panel.html('<div class="buttons"><button type="button" onclick="removeImageClicked(this, \''+type+'\');" class="icon-close"><img src="/images/xcategory.png"></button></div>');
            }
        }
    });

    refreshCategoryScroll(true);
    
    editFromHome();
    
    $('.product-input-text').each(function(){
        autoheight(this);
        
        $(this).keyup(function (e) {
            autoheight(this);
        });
    });
    
});


function autoheight(a) {
    if (!$(a).prop('scrollTop')) {
        do {
            var b = $(a).prop('scrollHeight');
            var h = $(a).height();
            $(a).height(h - 5);
        }
        while (b && (b != $(a).prop('scrollHeight')));
    };
    $(a).height($(a).prop('scrollHeight'));
}

function removeCategory(el)
{
    var categoryID = $(el).data('category');
           
   if(categoryID == "" && categoryID == 0)
   {
       labAlert("Category not found.");
       return;
   }
   labConfirm("Do you really want to delete this category?\nThis cannot be undone!", "Are you sure?", function(response) {
        if(response) {
            $(this).blur();
            window.loadingIndicator($('body'));
            
            ajaxSubmit('<?= $this->url('products-category', ['brandUrl' => $this->thisBrand->url]) ?>', {
            'categoryID': categoryID,
            'action': 'remove',
            }, function(data) {
                if(!data || !data.status || data.status != 'ok') {
                    console.log("error:", data);
                    var error = "Please try again later or contact the support team.";
                    if(data && data.status) error = data.status;
                    labAlert("An error has occured while submitting the product category. " + error);
                }else{
                    console.log("category submitted", data);
                    labAlert("Product category deleted successfully.");
                    feed.navigateToSegment('products');
                    $('.loading-indicator-background').remove();
                }
            });
        return false;
        }
    }, "Delete", "Cancel");
}

function showHideCategory(el)
{
   var showOrNot = $(el).data('toggle');
   var categoryId = $(el).data('category');
   
   if(categoryId  > 0)
   {
       ajaxSubmit('<?= $this->url('products-category', ['brandUrl' => $this->thisBrand->url]) ?>', {
        'showOrNot': showOrNot,
        'categoryId': categoryId,
        'action': 'public',
        }, function(data) {
        if(!data || !data.status || data.status != 'ok') {
            console.log("error:", data);
            var error = "Please try again later or contact the support team.";
            if(data && data.status) error = data.status;
            labAlert("An error has occured while renaming the product category. " + error);
        }else{
            console.log("category renamed", data);
            var msg = (showOrNot) ? 'Category is now public' : 'Category is not public and not visible by others';
            labAlert(msg);
            feed.navigateToSegment('products', categoryId);
        }
    });
   }
   else
   {
       labAlert("Category not found.");
       return;
   }
}

function editCategory(el)
{
    var catId = $(el).data('category');
    $editBox = $('#editCategory2');
    if(catId > 0)
    {
        ajaxSubmit('<?= $this->url('products-category', ['brandUrl' => $this->thisBrand->url]) ?>', {
        'categoryId': catId,
        'action': 'edit-category',
        }, function(data) {
            if(!data || !data.status || data.status != 'ok') {
                console.log("error:", data);
                var error = "Please try again later or contact the support team.";
                if(data && data.status) error = data.status;
                labAlert("An error has occured while renaming the product category. " + error);
            }else{
                var category = data.data;
                $('.addCollectionCover').hide();
                $editBox.find('.edit-category-text').val(category.categoryName);
                $editBox.find('#hdnCategoryId').val(category.id);
                $editBox.slideDown('slow');
            }
        })
    }
    else
    {
       labAlert("Category not found.");
    }
}

function hideCategoryBox()
{
    $('#editCategory2').slideUp('slow');
    $('.addCollectionCover').show();
}

function editCategoryData()
{
   $categoryBox = $('#editCategory2');
   var categoryName = $categoryBox.find('.edit-category-text').val().trim();
   var categoryId = $categoryBox.find('#hdnCategoryId').val().trim();
   
   if(categoryName == "") {
        labAlert("Please fill in the category name.");
        return;
    }
    
    ajaxSubmit('<?= $this->url('products-category', ['brandUrl' => $this->thisBrand->url]) ?>', {
        'categoryName': categoryName,
        'categoryId': categoryId,
        'action': 'edit',
        }, function(data) {
            if(!data || !data.status || data.status != 'ok') {
                console.log("error:", data);
                var error = "Please try again later or contact the support team.";
                if(data && data.status) error = data.status;
                labAlert("An error has occured while renaming the product category. " + error);
            }else{
                labAlert("Product category renamed successfully.");
                feed.navigateToSegment('products', categoryId);
            }
        });
}
</script>